Sonochan II 0.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions | Variables
uac1_image.c File Reference
`#include <stdio.h>`
`#include "compiler.h"`
`#include "board.h"`
`#include "print_funcs.h"`
`#include "intc.h"`
`#include "pm.h"`
`#include "gpio.h"`
`#include "FreeRTOS.h"`
`#include "task.h"`
`#include "conf_usb.h"`
`#include "usb_task.h"`
`#include "device_generic_hid.h"`
`#include "composite_widget.h"`
`#include "taskAK5394A.h"`
`#include "uac1_taskAK5394A.h"`
`#include "HW_bridge_uniprot.h"`
`#include "brd_driver_hw_03.h"`
`#include "image.h"`
`#include "queue.h"`
`#include "taskEXERCISE.h"`
`#include "wdt.h"`
`#include "usb_descriptors.h"`
`#include "uac1_usb_descriptors.h"`
`#include "usb_specific_request.h"`
`#include "uac1_usb_specific_request.h"`
`#include "uac1_device_audio_task.h"`

## Functions
static void | x_image_boot (void)
static void | x_image_init (void)
static void | x_image_task_init (void)
static uint8_t * | x_audio_get_dev_desc_pointer (void)
static uint16_t | x_audio_get_dev_desc_length (void)
static uint8_t * | x_image_get_conf_desc_pointer (void)
static uint16_t | x_image_get_conf_desc_length (void)
static uint8_t * | x_image_get_conf_desc_fs_pointer (void)
static uint16_t | x_image_get_conf_desc_fs_length (void)
static uint8_t * | x_image_get_conf_desc_hs_pointer (void)
static uint16_t | x_image_get_conf_desc_hs_length (void)
static uint8_t * | x_image_get_qualifier_desc_pointer (void)
static uint16_t | x_image_get_qualifier_desc_length (void)
static void | x_image_user_endpoint_init (uint8_t conf_nb)
static Bool | x_image_user_read_request (uint8_t type, uint8_t request)
static void | x_image_user_set_interface (U8 wIndex, U8 wValue)

## Variables
const image_t | uac1_audio_image

## Function Documentation

static uint16_t x_audio_get_dev_desc_length | ( | void | ) |  |
| static

static uint8_t* x_audio_get_dev_desc_pointer | ( | void | ) |  |
| static

static void x_image_boot | ( | void | ) |  |
| static

static uint16_t x_image_get_conf_desc_fs_length | ( | void | ) |  |
| static

static uint8_t* x_image_get_conf_desc_fs_pointer | ( | void | ) |  |
| static

static uint16_t x_image_get_conf_desc_hs_length | ( | void | ) |  |
| static

static uint8_t* x_image_get_conf_desc_hs_pointer | ( | void | ) |  |
| static

static uint16_t x_image_get_conf_desc_length | ( | void | ) |  |
| static

static uint8_t* x_image_get_conf_desc_pointer | ( | void | ) |  |
| static

static uint16_t x_image_get_qualifier_desc_length | ( | void | ) |  |
| static

static uint8_t* x_image_get_qualifier_desc_pointer | ( | void | ) |  |
| static

static void x_image_init | ( | void | ) |  |
| static

static void x_image_task_init | ( | void | ) |  |
| static

Todo:
  More process

static void x_image_user_endpoint_init | ( | uint8_t | conf_nb) |  |
| static

static Bool x_image_user_read_request | ( | uint8_t | type,
|  | uint8_t | request
| ) |  |
| static

static void x_image_user_set_interface | ( | U8 | wIndex,
|  | U8 | wValue
| ) |  |
| static

## Variable Documentation

const image_t uac1_audio_image

Initial value:
= {
x_image_boot,
x_image_init,
x_image_task_init,
x_audio_get_dev_desc_pointer,
x_audio_get_dev_desc_length,
x_image_get_conf_desc_pointer,
x_image_get_conf_desc_length,
x_image_get_conf_desc_fs_pointer,
x_image_get_conf_desc_fs_length,
x_image_get_conf_desc_hs_pointer,
x_image_get_conf_desc_hs_length,
x_image_get_qualifier_desc_pointer,
x_image_get_qualifier_desc_length,
x_image_user_endpoint_init,
x_image_user_read_request,
x_image_user_set_interface
}